package com.zjrs.zwnw.rlzysc.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.zjrs.zwnw.rlzysc.dto.YdQueryDTO;
import com.zjrs.zwnw.rlzysc.dto.YdZphQueryDTO;
import com.zjrs.zwnw.rlzysc.dto.ZjQueryListDTO;
import com.zjrs.zwnw.rlzysc.po.VRsRlzyZwwzyyshPO;

import java.util.Map;

@Mapper
public interface YdzwshMapper extends BaseMapper<VRsRlzyZwwzyyshPO> {
    public Page<Map<String,Object>> getZphList(Page<Map<String,Object>> page, @Param("dto") YdZphQueryDTO dto);
    public Page<Map<String,Object>> getYdzwshList(Page<Map<String,Object>> page, @Param("dto") YdQueryDTO dto);
    public Map<String,Object> getYdxx(String yypc);
    public String getzwdzconcat(String yypc);
    public Page<Map<String,Object>> getzyxxList(Page<Map<String,Object>> page, @Param("dto") ZjQueryListDTO dto);
}
